Create a product
PIC - Create a Product
- Use the get categories endpoint to retrieve the list of supported product categories.
- Use the get available sizes endpoint to retrieve the list of supported sizes for a given product category.
- Use the post materials search endpoint to retrieve available material options.
- Use the post components search endpoint to retrieve available component options.
- Use the post packaging search endpoint to retrieve available packaging options.
- Use the get countries for eco scores endpoint to retrieve valid locations for manufacture, finishing, and textile formation for the French Eco-Score.
- Note that some elements are optional, while others are required when calculating the French Eco-Score.
Request body properties
| Name | Type | Description |
|---|---|---|
name | string | [REQUIRED] The name of the product. |
materials | Array<MaterialsData> | [REQUIRED] List of materials used in the product. Each item requires materialId and netUse. |
weight | number | The weight of the product. Required if isMaterialWeight is false or undefined. |
weightMeasureUnit | string (enum) | Unit of measure for the weight (e.g., “grams”, “kilograms”). Defaults to “grams”. |
isMaterialWeight | boolean | If true, the product weight is calculated from the sum of its materials. If false, explicit weight is required. |
productCategory | string | [DEPRECATED] The category of the product (e.g., “Apparel”, “Footwear”). Use categoryExpansionId instead. |
categoryExpansionId | string | The product category code. Required for scoring. |
size | string | The size of the product. Required for scoring. |
taxonomyId | string | ID referring to a specific taxonomy entry. Used to identify the default product type. |
packaging | Array<PackagingData> | List of packaging items associated with the product. |
components | Array<ComponentData> | List of components associated with the product. |
identifier | string | External identifier for the product (e.g., SKU). |
identifierType | string (enum) | Type of the identifier (e.g., GTIN, SKU, UPC, OTHER). |
tags | Array<string> | List of tags for categorization or filtering. |
purchaseOrder | Array<POData> | List of purchase orders to associate with the product upon creation. |
frenchLabelCountry | object | [FRENCH ECO-SCORE] The product’s final assembly location. Check the location list here. |
frenchLabelDyeingCountry | object | [FRENCH ECO-SCORE] The product’s preparation, dyeing, and finishing location. Check the location list here. |
frenchLabelFabricCountry | object | [FRENCH ECO-SCORE] The product’s textile formation location. Check the location list here. |
frenchLabelOptionalFields | object | [FRENCH ECO-SCORE] Optional fields for durability and scoring. See the Optional Fields reference for details. |
weightIsPrimaryData | boolean | [FRENCH ECO-SCORE] Indicates if the weight data is primary data. |
Implementation details
- Weight validation: The API checks if
isMaterialWeightis false. If so,weightmust be provided. Ifweightis provided,weightMeasureUnitdefaults togramsif not specified. - Purchase orders: If provided, purchase orders are validated. If an assembly is included in the PO data, it checks for a valid
femId(FEM assessment ID).
Body
kilograms, grams, milligram, pound, ounce GTIN, SKU, UPC, OTHER Determines what country this product was made in, for the French Label Eco-Scores.
Determines what country this product was dyed in, for the French Label Eco-Scores.
Determines what country this product was woven or knitted in, for the French Label Eco-Scores.
Optional durability fields for the French Label Eco-Score, gated by EnableFrenchEcoOptionalFields config key.
Response
Ok
API light version of a CorpRepProductEntity for the API. Ideally we would do this with a Pick or Omit, but tsoa doesn't recognice those
corpRep weight information
This interface was referenced by Exports's JSON-Schema via the definition "userRef".
This interface was referenced by Exports's JSON-Schema via the definition "accountRef".
corpRep weight information
This interface was referenced by Exports's JSON-Schema via the definition "userRef".
This interface was referenced by Exports's JSON-Schema via the definition "userRef".
corpRep weight information
Determines what country this product was made in, for the French Label Eco-Scores.
Determines what country this product was woven or knitted in, for the French Label Eco-Scores.
Determines what country this product was dyed in, for the French Label Eco-Scores.
Optional durability fields for the French Label Eco-Score, gated by EnableFrenchEcoOptionalFields config key.
Store information on whether a product is eligible for French Label Eco-Scores.
Determines the environmental impacts of a product based on mass, composition, place of manufacture, etc. (See https://ecobalyse.beta.gouv.fr/#/api)

